/*
* FUNCTION : VERIFICA SE EXISTE DOCUMENTO PENDENTE PARA A PESSOA. UTILIZADA NA INTEGRAÇÃO DO CRM. SE SIM, RETORNA 1, SENAO RETORNA 0
* PARAMETER : @PESSOA_ID (ID DA PESSOA)
* DATE : 02/08/2018
* AUTOR : Diego Bucher
* VERSION : SINCE 1.0
* LAST MODIFY : 02/08/2018
*/
CREATE FUNCTION [dbo].[FUNC_CRMINTERESSADOPREMAT](@PESSOA_ID INT)
RETURNS INTEGER AS
BEGIN
DECLARE @EXISTE INT

SELECT @EXISTE = DBO.FUNC_POSSUI_DOCUMENTO_PENDENTE(@PESSOA_ID)

IF  @EXISTE IS NOT NULL AND @EXISTE > 0
	SET @EXISTE = 1
ELSE
	SET @EXISTE = 0

RETURN @EXISTE
END